Skip to main content
GET
/
users
/
details
Get comprehensive user details
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/analytics/users/details
{
  "userId": "<string>",
  "username": "<string>",
  "email": "<string>",
  "createdAt": "<string>",
  "stats": {
    "totalPoints": 123,
    "totalXP": 123,
    "currentLevel": 123,
    "totalAchievements": 123,
    "totalChallengesCompleted": 123,
    "totalChallengesStarted": 123,
    "totalRewardsEarned": 123
  },
  "xpBreakdown": {
    "knowledge": 123,
    "creativity": 123,
    "participation": 123,
    "loyalty": 123,
    "influence": 123,
    "contribution": 123,
    "total": 123
  },
  "achievements": [
    {
      "achievementId": "<string>",
      "achievementName": "<string>",
      "progress": 123,
      "progressMax": 123,
      "isCompleted": true,
      "achievementDescription": "<string>",
      "completedAt": "<string>",
      "lastUpdatedAt": "<string>",
      "expiresAt": "<string>",
      "bannerUrl": "<string>",
      "rewardId": "<string>",
      "rewardName": "<string>",
      "progressSummary": "<unknown>"
    }
  ],
  "challenges": [
    {
      "challengeId": "<string>",
      "status": "<string>",
      "pointsEarned": 123,
      "xpEarned": 123,
      "attemptsCount": 0,
      "actionsCompleted": 0,
      "successRate": 0,
      "challengeName": "<string>",
      "startedAt": "<string>",
      "completedAt": "<string>",
      "lastAttemptAt": "<string>",
      "bannerUrl": "<string>"
    }
  ],
  "rewardAssets": [
    {
      "rewardId": "<string>",
      "rewardName": "<string>",
      "type": "<string>",
      "id": "<string>",
      "description": "<string>",
      "bannerUrl": "<string>",
      "acquiredAt": "<string>",
      "claimedAt": "<string>",
      "redeemedAt": "<string>",
      "expiresAt": "<string>",
      "expired": true,
      "status": "issued",
      "redeemableType": "<string>",
      "code": "<string>",
      "allocationId": "<string>",
      "eventCategory": "<string>",
      "eventSubCategory": "<string>",
      "eventSourceId": "<string>",
      "communityId": "<string>"
    }
  ],
  "rewardEntries": [
    {
      "rewardId": "<string>",
      "rewardName": "<string>",
      "type": "<string>",
      "id": "<string>",
      "description": "<string>",
      "entryCount": 123,
      "acquiredAt": "<string>",
      "claimedAt": "<string>",
      "redeemedAt": "<string>",
      "expiresAt": "<string>",
      "expired": true,
      "status": "issued",
      "redeemableType": "<string>",
      "code": "<string>",
      "allocationId": "<string>",
      "eventCategory": "<string>",
      "eventSubCategory": "<string>",
      "eventSourceId": "<string>",
      "communityId": "<string>",
      "bannerUrl": "<string>"
    }
  ],
  "streaks": [
    {
      "id": "<string>",
      "achievementId": "<string>",
      "achievementName": "<string>",
      "communityId": "<string>",
      "communityName": "<string>",
      "currentStreak": 123,
      "longestStreak": 123,
      "lastExtendedAt": "<string>",
      "streakPeriods": [
        "<unknown>"
      ]
    }
  ],
  "displayName": "<string>",
  "profilePictureUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

userId
string
required
communityId
string

Response

Successful response

userId
string
required
username
string
required
email
string
required
createdAt
string
required
stats
object
required
xpBreakdown
object
required
achievements
object[]
required
challenges
object[]
required
rewardAssets
object[]
required
rewardEntries
object[]
required
streaks
object[]
required
displayName
string | null
profilePictureUrl
string | null